module.exports = {
  development: {
    app: {
      name: 'User Account Management',
      port: process.env.PORT || 9989,
      host: 'http://localhost:9989'
    },
    passport: {
      strategy: 'saml',
      saml: {
        path: process.env.SAML_PATH || '/saml/SSO',
        entryPoint: process.env.SAML_ENTRY_POINT || 'Saml Entry Point',
        issuer: 'SAML issuer', //local metadata
        logoutUrl: 'SAML logout URL'
      }
    },
    database: {
      host: 'localhost',      	  // DB host
      user: 'usernamedb',          // DB username
      password: 'passworddb',  // DB password
      port: 3306,                 // MySQL port
      dbUser: 'userdb',           // User DB
      host_project: 'localhost', // DB host project db
      dbProject: 'projectdb'     // Project DB
    },
    mailer: {
      host: 'mailhost',  // hostname
      secureConnection: false,        // TLS requires secureConnection to be false
      port: 587,                      // port for secure SMTP
      authUser: 'mailuser',
      authPass: 'mailpass',
      tlsCiphers: 'SSLv3',
      from: 'mailfrom',
    },
    gitlab: {
      token_readWriteProjects: 'token-goes-here'
    }
  },
  testing: {
    app: {
      name: 'User Account Management',
      port: process.env.PORT || 9989,
      host: 'https://m4lab.hft-stuttgart.de/account'
    },
    passport: {
      strategy: 'saml',
      saml: {
        path: process.env.SAML_PATH || '/saml/SSO',
        entryPoint: process.env.SAML_ENTRY_POINT || 'saml entry point',
        issuer: 'SAML issuer', //testing metadata
        logoutUrl: 'SAML logout URL'
      }
    },
    database: {
      host: 'dbhost',      	  // DB host
      user: 'dbuser',          // DB username
      password: 'dbpass',  // DB password
      port: 3306,                 // MySQL port
      dbUser: 'userdb',           // User DB
      host_project: 'dbhost', // DB host project db
      dbProject: 'projectdb'     // Project DB
    },
    mailer: {
      host: 'mailhost',  // hostname
      secureConnection: false,        // TLS requires secureConnection to be false
      port: 587,                      // port for secure SMTP
      authUser: 'mailuser',
      authPass: 'mailpass',
      tlsCiphers: 'SSLv3',
      from: 'mailfrom',
    },
    gitlab: {
      token_readWriteProjects: 'token-goes-here'
    }
  }
}